export const routes = [
  {
    path: '/network',
    name: 'network',
    redirect: '/network/home',
    component: () => import('admin/layout'),
    children: [
      {
        path: 'home',
        name: 'networkHome',
        component: () => import('@/views/Home.vue'),
      },
      {
        path: 'room',
        name: 'networkRoom',
        component: () => import('@/views/Room.vue'),
      },
      {
        path: 'edit',
        name: 'networkEdit',
        component: () => import('@/views/Edit.vue'),
      },
      {
        path: '*',
        redirect: '/network/home',
      },
    ],
  },
];
