// import Vue from 'vue';
// import VueRouter from 'vue-router';

// Vue.use(VueRouter);

// const routes = [
//   {
//     path: '/home',
//     name: 'home',
//     component: Home,
//   },
//   {
//     path: '/',
//     redirect: '/home',
//   },
//   {
//     path: '/*',
//     redirect: '/',
//   },
// ];

// const router = new VueRouter({
//   mode: 'history',
//   routes,
// });

// // 不是所有页面都要判断，放在页面处拦截
// // const whitelist = ['home', 'login'];
// // router.beforeEach((to, from, next) => {
// //   if (whitelist.includes(to.name)) {
// //     next();
// //     return;
// //   }
// //   axios.getUser().then(() => {
// //     next();
// //   });
// // });

// export default router;

export const routes = [
  {
    path: '/workforce',
    name: 'workforce',
    redirect: '/workforce/home',
    component: () => import('admin/layout'),
    children: [
      {
        path: 'home',
        name: 'workforceHome',
        component: () => import('@/views/Home.vue'),
      },
      {
        path: 'room',
        name: 'workforceRoom',
        component: () => import('@/views/Room.vue'),
      },
      {
        path: 'edit',
        name: 'workforceEdit',
        component: () => import('@/views/Edit.vue'),
      },
      {
        path: '*',
        redirect: '/workforce/home',
      },
    ],
  },
];
